Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.translator
Class StringTranslator

    java.lang.Object
      org.apache.tapestry5.internal.translator.AbstractTranslator<java.lang.String>
          org.apache.tapestry5.internal.translator.StringTranslator

All Implemented Interfaces:
  Translator<java.lang.String>

    public class StringTranslator

extends AbstractTranslator<java.lang.String>

Constructor Summary
`StringTranslator()`

Method Summary
`java.lang.String` | `parseClient(Field field, java.lang.String clientValue, java.lang.String message)` Passes the clientValue through unchanged.
`void` | `render(Field field, java.lang.String message, MarkupWriter writer, FormSupport formSupport)` Does nothing.
`java.lang.String` | `toClient(java.lang.String value)` Passes the value through unchanged.

Methods inherited from class org.apache.tapestry5.internal.translator.AbstractTranslator
`getMessageKey, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringTranslator

    public StringTranslator()

Method Detail

### render

    public void render(Field field,
                       java.lang.String message,
                       MarkupWriter writer,
                       FormSupport formSupport)

  Does nothing.

  Parameters:
    `field` - the field which is currently being rendered
    `message` - formatted validation message, either from validation messages, or from an override
    `writer` - markup writer, allowing additional attributes to be written into the active element
    `formSupport` - used to add JavaScript

### parseClient

    public java.lang.String parseClient(Field field,
                                        java.lang.String clientValue,
                                        java.lang.String message)
                                 throws ValidationException

  Passes the clientValue through unchanged.

  Parameters:
    `field` - for which a value is being parsed
    `clientValue` - to convert to a server value; this will not be null, but may be blank
    `message` - formatted validation message, either from validation messages, or from an override
  Returns:
    equivalent server-side value (possibly null)
  Throws:
    `ValidationException` - if the value can not be parsed

### toClient

    public java.lang.String toClient(java.lang.String value)

  Passes the value through unchanged.

  Parameters:
    `value` - the server side value (which will not be null)
  Returns:
    client-side value to present to the user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.